Subject: March newsletter on line
From: Interfaith Working Group <[email-masked]>
Date: Sat, 1 Mar 1997 12:41:26 -0500 (EST)

The hypertext version of the March issue of "Keeping the Faith"
(the newsletter of the Interfaith Working Group) is available now:
http://www.libertynet.org/~iwg/ktf.html

-- 

Interfaith Working Group                Religious organizations, congregations
[email-masked]                      and clergy supporting gay rights,
http://www.libertynet.org/~iwg/         reproductive freedom, and the 
215-235-3050                            separation of church and state.